<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin_box_admin.php
| Version: 1.00
| Author: PHP-Fusion Mods UK
| Developer: Craig
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

if (!checkrights("BOX") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";
require_once INCLUDES."bbcode_include.php";

if (file_exists(INFUSIONS."admin_box/locale/".$settings['locale'].".php")) {
	include INFUSIONS."admin_box/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."admin_box/locale/English.php";
}

include INFUSIONS."admin_box/infusion_db.php";


add_to_head("<script src='".BASEDIR."infusions/admin_box/box_textcounter.js' type='text/javascript'></script>
<style type='text/css'>
.info {
    background-color: #FFB7B7;
    border-bottom: 1px solid #FF0000;
    border-top: 1px solid #FF0000;
    color: #490000;
    font-size: 10px;
    height: 28px;
    margin-bottom: 10px;
    padding-left: 2px;
    padding-right: 2px;
    padding-top: 15px;
    text-align: center;
    width: 98%;
}
.counter { 
	font-size:9px; 
	color:#ff0000; 
	} 

	.counterc { 
	font-size:9px; 
	} 


</style>");

add_to_title($locale['global_200'].$locale['tdo_001']);

global $settings;

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "del") {
		$message = "<strong>".$locale['tdo_003']."</strong>";
	} elseif ($_GET['status'] == "go") {
		$message = "<strong>".$locale['tdo_004']."</strong>";
	} elseif ($_GET['status'] == "edit") {
		$message = "<strong>".$locale['tdo_005']."</strong>";
		}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
	}

$box_message = "";
$box_user = $userdata['user_id'];
$box_datestamp = time();

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['post_id']) && isnum($_GET['post_id']))) {
	$result = dbquery("DELETE FROM ".DB_ABOX." WHERE post_id='".stripinput($_GET['post_id'])."'");
	redirect(FUSION_SELF.$aidlink."&status=del");
	
} else {

if (isset($_POST['go'])) {
	$box_message = stripinput($_POST['box_message']);
}

if ($box_message) {
if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['post_id']) && isnum($_GET['post_id']))) {
	$result = dbquery("UPDATE ".DB_ABOX." SET  box_message='$box_message', box_user='$box_user', box_datestamp='$box_datestamp'  WHERE post_id='".stripinput($_GET['post_id'])."'");
	redirect(FUSION_SELF.$aidlink."&status=edit");
	
} else {

	$result = dbquery("INSERT INTO ".DB_ABOX." (box_message, box_user, box_datestamp) VALUES ('$box_message', '$box_user', '$box_datestamp')");
	redirect(FUSION_SELF.$aidlink."&status=go");
}
redirect(FUSION_SELF.$aidlink);
}

}


if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['post_id']) && isnum($_GET['post_id']))) {

	$result = dbquery("SELECT * FROM ".DB_ABOX." WHERE post_id='".stripinput($_GET['post_id'])."'");
	
if (dbrows($result)) {
	$data = dbarray($result);
	$box_message = $data['box_message'];
	$box_user = $data['box_user'];
	$box_datestamp = $data['box_datestamp'];
	$form_title = $locale['inf_title'];
	$form_action = FUSION_SELF.$aidlink."&amp;action=edit&amp;post_id=".$data['post_id'];
	
} 

} else {

	$box_message = "";
	$box_user = $userdata['user_id'];
	$box_datestamp = time();
	$form_title = $locale['tdo_006'];
	$form_action = FUSION_SELF.$aidlink;
}


opentable($form_title);
echo"<div class='info center'>".$locale['tdo_009']."</div>";
		echo "<form name='admin_box_form' method='post' action='$form_action'>\n";
		echo "<table cellpadding='0' cellspacing='0' width='95%'  class='tbl-border center' >\n<tr>\n";
		echo "<td class='tbl' align='center'><textarea maxlength='400' name='box_message' cols='60' rows='5'  id='counterc' class='textbox' style='width:400px;'>$box_message</textarea><br /><span class='counterc'> ".$locale['tdo_012']."</span> <span class='counter' ></span> <span class='counterc'> ".$locale['tdo_011']."</span>\n";
		echo display_bbcodes("400px;", "box_message", "admin_box_form", "color|b|i|u|small|url|smiley")."\n";
		echo "</td>\n</tr>\n<tr>\n";
		echo "<td align='center' colspan='2' class='tbl'><br />\n";
		echo "<input type='submit' name='go' value='".$locale['tdo_001']."' class='button' /></td>\n";
		echo "</tr>\n</table>\n</form>\n";
closetable();

$formb_title = $locale['inf_title'];

opentable($formb_title);
function adminboxwrap($text) {
	global $locale;

	$i = 0; $tags = 0; $chars = 0; $res = "";

	$str_len = strlen($text);

	for ($i = 0; $i < $str_len; $i++) {
		$chr = mb_substr($text, $i, 1, $locale['charset']);
		if ($chr == "<") {
			if (mb_substr($text, ($i + 1), 6, $locale['charset']) == "a href" || mb_substr($text, ($i + 1), 3, $locale['charset']) == "img") {
				$chr = " ".$chr;
				$chars = 0;
			}
			$tags++;
		} elseif ($chr == "&") {
			if (mb_substr($text, ($i + 1), 5, $locale['charset']) == "quot;") {
				$chars = $chars - 5;
			} elseif (mb_substr($text, ($i + 1), 4, $locale['charset']) == "amp;" || mb_substr($text, ($i + 1), 4, $locale['charset']) == "#39;" || mb_substr($text, ($i + 1), 4, $locale['charset']) == "#92;") {
				$chars = $chars - 4;
			} elseif (mb_substr($text, ($i + 1), 3, $locale['charset']) == "lt;" || mb_substr($text, ($i + 1), 3, $locale['charset']) == "gt;") {
				$chars = $chars - 3;
			}
		} elseif ($chr == ">") {
			$tags--;
		} elseif ($chr == " ") {
			$chars = 0;
		} elseif (!$tags) {
			$chars++;
		}

		if (!$tags && $chars == 40) {
			$chr .= " ";
			$chars = 0;
		}
		$res .= $chr;
	}

	return $res;
}
		if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
		
		$rows = dbcount("(post_id)", DB_ABOX);
		
		$result = dbquery("SELECT jo.post_id, jo.box_user, jo.box_datestamp, jo.box_message,
		ju.user_id, ju.user_name, ju.user_status
		FROM ".DB_ABOX." jo
		LEFT JOIN ".DB_USERS." ju ON jo.box_user=ju.user_id
		ORDER BY post_id  DESC LIMIT ".$_GET['rowstart'].",20");
		if (dbrows($result)) {
		
$i = 0;
		while ($data = dbarray($result)) {
			
		$row_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
		
echo "<div class='tbl2'>\n";
echo "<div style='float:right'>\n";
echo"<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;post_id=".$data['post_id']."' onclick=\"return confirm('".$locale['tdo_013']."');\"><img src='".INFUSIONS."admin_box/images/delete.png' style='vertical-align: middle; border: 0px;' alt='".$locale['tdo_007']."' title='".$locale['tdo_007']."' /></a> \n";
echo " <a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;post_id=".$data['post_id']."'><img src='".INFUSIONS."admin_box/images/edit.png' style='vertical-align: middle; border: 0px;' alt='".$locale['tdo_008']."' title='".$locale['tdo_008']."' /></a>\n</div>\n";
echo "<span class='comment-name'><span class='slink'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</span>\n</span>\n";
echo "<span class='small'>".showdate("longdate", $data['box_datestamp'])."</span>";
echo "</div>\n<div class='$row_color'>\n".adminboxwrap(nl2br(parseubb(parsesmileys($data['box_message']), "b|i|u|url|color|smiley")))."</div>\n";
		
		$i++;
		
}
	
} else {
		echo "<div style='text-align: center;'>".$locale['tdo_010']."</div>";
}

		if (($rows) > 20) { echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'],20,$rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n"; }

closetable();

require_once THEMES."templates/footer.php";
?>